# /etc/kea/kea-dhcp6.conf

# This file will be identical on both primary and stand-by servers.
# This file includes other files for the server-specific information.
# Add subnets, pools, host reservations, etc, to this file.
# One can then copy the updated file to both servers without further changes.

{ "Dhcp6": {

"control-socket":
  {
    "socket-type": "unix",
    "socket-name": "/var/run/kea/dhcp6.sock"
  },

<?include "/etc/kea/interfaces6.conf"?>

# This
# space
# intentionally
# left
# blank.

"lease-database":
  {
    "type": "memfile",
    "name": "/var/lib/kea/dhcp6.leases",
    "persist": true
  },

"hooks-libraries":
  [
    {
      "library": "libdhcp_ha.so",
      "parameters":
        {
          "high-availability":
            [
              {
                <?include "/etc/kea/thishost.conf"?>
                "mode": "hot-standby",
                "peers":
                  [
                    {
                      "name": "alpha",
                      "url": "http://192.0.2.6:8006/",
                      "role": "primary"
                    }, # alpha
                    {
                      "name": "bravo",
                      "url": "http://192.0.2.7:8006/",
                      "role": "standby"
                    } # bravo
                  ] # peers
              }
            ] # high-avail
        } # params
    } # libdhcp_ha
  ], # hooks

"subnet6":
  [
    {
      "id": 6001,
      "subnet": "3fff:12ab:3cd4:9ef5::0/64",
      "pools":
        [
          {
            "pool": "3fff:12ab:3cd4:9ef5::0100 - 3fff:12ab:3cd4:9ef5:ffff:ffff:ffff:ffff"
          }
        ] # pools
    } # subnet 6001
  ] # subnets

} # dhcp6
} # root
